summaryrefslogtreecommitdiffstats
path: root/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-04-16 20:16:57 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-04-16 20:16:57 +0200
commitaadeb8892bd10afe952fce02a8a6abd4fa9f0ea4 (patch)
treefaf81d36f775cb4d4e063ffb9c5acb96758f2a71 /meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh
parent2bad39b645c4166c3a32eb56cf8a2ba90ce5584b (diff)
Diff of the 8.0.2 code-drop against stock AGL 8.0.2sandbox/jsmoeller/diff_to_halibut_8.0.2
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh')
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh
new file mode 100644
index 00000000..41536f2c
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# @copyright Copyright (c) 2019 TOYOTA MOTOR CORPORATION.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+desired_rt_runtime_us=$1
+mygroup=${2:-$(awk -F: '$2 == "cpu,cpuacct" {print $3}' /proc/self/cgroup)}
+
+[[ $desired_rt_runtime_us -gt 0 ]] || exit
+[[ $mygroup ]] || exit
+[[ $mygroup = / ]] && exit
+
+echo "${0##*/}: setting cpu.rt_runtime_us for $mygroup" >&2
+
+cgpath=
+IFS=/ read -ra cgroups <<< "${mygroup:1}"
+for cg in "${cgroups[@]}"; do
+ cgpath="${cgpath}/${cg}"
+ echo "${0##*/}: $desired_rt_runtime_us -> /sys/fs/cgroup/cpu,cpuacct${cgpath}" >&2
+ echo "$desired_rt_runtime_us" > /sys/fs/cgroup/cpu,cpuacct${cgpath}/cpu.rt_runtime_us
+done